> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get administration invoice by id

> Get administration invoice by id



## OpenAPI

````yaml /openapi3.json get /v1/invoices/{id}
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/invoices/{id}:
    get:
      tags:
        - invoices
      summary: Get administration invoice by id
      description: Get administration invoice by id
      operationId: getV1InvoicesId
      parameters:
        - in: path
          name: id
          description: Invoice identifier
          required: true
          schema:
            type: string
        - in: query
          name: administration_id
          description: Administration identifier
          required: true
          schema:
            type: string
        - in: query
          name: identifier_type
          description: >-
            Type of invoice identifier to use (can be 'invoice_number',
            'invoice_identifier' or left blank to use internal id)
          required: false
          schema:
            type: string
        - in: query
          name: fields
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Invoice
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_V1_InvoiceEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    CustomerApi_V1_InvoiceEntity:
      type: object
      properties:
        category:
          type: string
          description: Category
        currency_code:
          type: string
          description: Currency code in ISO 4217 format
        description:
          type: string
          description: Description
        public_url:
          type: string
          description: Link to the debtor portal (request with the 'fields' parameter)
        deeplink_url:
          type: string
          description: >-
            URL to the invoice in the debtor management interface (request with
            the 'fields' parameter)
        flow_code:
          type: string
          description: Code of current flow (request with the 'fields' parameter)
        document_url:
          type: string
          description: URL to the invoice document (request with the 'fields' parameter)
        ubl_document_url:
          type: string
          description: >-
            URL to the UBL invoice document (request with the 'fields'
            parameter)
        internal_note_email_address:
          type: string
          description: Internal note email address (request with the 'fields' parameter)
        invoice_number:
          type: string
          description: Invoice number
        invoice_lines:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_InvoiceLineEntity'
          description: Invoice lines (request with the 'fields' parameter)
        purchase_order_number:
          type: string
          description: Purchase order number
        labels:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_LabelEntity'
          description: Labels (request with the 'fields' parameter)
        order_number:
          type: string
          description: Order number
        invoice_identifier:
          type: string
          description: Invoice identifier from accounting software
        payment_method:
          type: string
          enum:
            - bank_transfer
            - direct_debit
            - cash
            - none
            - unknown
          description: >-
            The method of payment as intended, not necessarily the actual method
            of payment
        peppol_identifier:
          type: string
          description: Peppol identifier (request with the 'fields' parameter)
        administration_id:
          type: string
          description: Owning administration identifier
        credit_case_id:
          type: string
          description: DEPRECATED, use active_credit_case_id instead
        active_credit_case_id:
          type: string
          description: Associated active credit case.
        debtor_id:
          type: string
          description: Internal debtor identifier
        debtor_number:
          type: string
          description: Number of the debtor
        id:
          type: string
          description: Unique identifier
        payment_plan_id:
          type: string
          description: DEPRECATED, use active_payment_plan_id instead
        active_payment_plan_id:
          type: string
          description: Associated active payment plan.
        payment_date:
          type: string
          description: Date the invoice was fully paid
        due_date:
          type: string
          description: Due date
        invoice_date:
          type: string
          description: Invoice date
        administration_costs_total:
          type: string
          description: Total administration costs amount in invoice currency
        administration_costs_open:
          type: string
          description: Open administration costs amount in invoice currency
        total_amount:
          type: string
          description: Total amount in invoice currency
        open_amount:
          type: string
          description: Open amount in invoice currency
        book_open_amount:
          type: string
          description: Open amount in administration currency
        book_total_amount:
          type: string
          description: Total amount in administration currency
        paused_by_user:
          type: boolean
          description: Whether the invoice was paused by a user
        bailiff_at:
          type: string
          format: date-time
          description: Timestamp at which the invoice was forwarded to a bailiff
        collectable_at:
          type: string
          format: date-time
          description: Timestamp after which the invoice became ready for debt collection
        debt_collection_at:
          type: string
          format: date-time
          description: Timestamp at which the invoice was sent to debt collection
        end_of_service_announcement_at:
          type: string
          format: date-time
          description: Timestamp at which the end of service was announced
        end_of_service_at:
          type: string
          format: date-time
          description: Timestamp at which the service was ended
        final_reminder_at:
          type: string
          format: date-time
          description: Timestamp at which the final reminder was sent
        pre_reminder_at:
          type: string
          format: date-time
          description: >
            Timestamp at which the pre_reminder was sent.

            This is a reminder sent on or before the due_date and is not
            considered a true reminder.
        first_reminder_at:
          type: string
          format: date-time
          description: 'DEPRECATED: use `reminder_1_at` instead'
        reminder_1_at:
          type: string
          format: date-time
          description: Timestamp at which the first reminder was sent
        reminder_2_at:
          type: string
          format: date-time
          description: Timestamp at which the second reminder was sent
        reminder_3_at:
          type: string
          format: date-time
          description: Timestamp at which the third reminder was sent
        reminder_4_at:
          type: string
          format: date-time
          description: Timestamp at which the fourth reminder was sent
        latest_reminder_at:
          type: string
          format: date-time
          description: >
            Timestamp at which the latest reminder was sent.

            This value will be higher than the highest reminder_X_at when the
            invoice is mentioned in a final reminder, or when more than 4
            bundled reminders have been sent.

            A pre_reminder is not considered a true reminder so sending one will
            not result in the latest_reminder_at being set.
        latest_summons_at:
          type: string
          format: date-time
          description: >
            Timestamp at which the latest summons was sent.

            This value will be higher than the highest summons_X_at when the
            credit_case of the invoice is mentioned in a notice of default.
        notice_of_default_at:
          type: string
          format: date-time
          description: Timestamp at which the notice of default was sent
        paused_at:
          type: string
          format: date-time
          description: Timestamp at which the invoice was paused
        pre_judicial_at:
          type: string
          format: date-time
          description: Timestamp at which the pre-judicial phase started
        pre_summons_at:
          type: string
          format: date-time
          description: Timestamp at which the debt collection notice was performed
        sent_at:
          type: string
          format: date-time
          description: Timestamp at which the invoice was sent to the debtor
        first_summons_at:
          type: string
          format: date-time
          description: 'DEPRECATED: use `summons_1_at` instead'
        summons_1_at:
          type: string
          format: date-time
          description: Timestamp at which the first summons was sent
        summons_2_at:
          type: string
          format: date-time
          description: Timestamp at which the second summons was sent
        summons_3_at:
          type: string
          format: date-time
          description: Timestamp at which the third summons was sent
        summons_4_at:
          type: string
          format: date-time
          description: Timestamp at which the fourth summons was sent
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the invoice was last updated
      required:
        - currency_code
        - invoice_number
        - payment_method
        - administration_id
        - debtor_id
        - id
        - due_date
        - invoice_date
        - administration_costs_total
        - administration_costs_open
        - total_amount
        - open_amount
        - book_open_amount
        - book_total_amount
        - updated_at
      description: CustomerApi_V1_InvoiceEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_InvoiceLineEntity:
      type: object
      properties:
        description:
          type: string
          description: Description
        product_unit:
          type: string
          description: Product unit
        vat_percentage:
          type: string
          description: VAT percentage
        vat_rate_code:
          type: string
          description: VAT rate code
        product_quantity:
          type: string
          description: Product quantity
        line_order:
          type: integer
          format: int32
          description: Line order
        product_price:
          type: string
          description: Product price
        total_excl_tax_amount:
          type: string
          description: Total excl tax amount
        total_incl_tax_amount:
          type: string
          description: Total incl tax amount
        vat_amount:
          type: string
          description: Product tax amount
      required:
        - description
        - product_unit
        - vat_percentage
        - vat_rate_code
        - product_quantity
        - line_order
        - product_price
        - total_excl_tax_amount
        - total_incl_tax_amount
        - vat_amount
    CustomerApi_V1_LabelEntity:
      type: object
      properties:
        name:
          type: string
          description: Label name
      required:
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````